/*
 * Created on 2006/10/25
 *
 *
 * Copyright(c) 2006 Yoshimasa Matsumoto
 */
package netwatcher.networkcamera.gui;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class NetworkCameraPerspective implements IPerspectiveFactory {
	public static final String ID = "netwatcher.networkcamera.gui.NetworkCameraPerspective";

	private static final float NODE_TREE_RATIO = 0.20f;

	/**
	 * Perspectiveの初期レイアウトを行います。
	 * 
	 * @param layout
	 *            IPageLayout
	 */
	public void createInitialLayout(IPageLayout layout) {
		layout.setEditorAreaVisible(true);
		String editorArea = layout.getEditorArea();

		IFolderLayout left = layout.createFolder("left", IPageLayout.LEFT,
				NODE_TREE_RATIO, editorArea);
		left.addView(NetworkCameratTreeView.class.getName());
	}
}
